View Issue Details

IDProjectCategoryView StatusLast Update
0001999Ham Radio DeluxeBugpublic2017-05-21 21:46
ReporterWA9PIE 
Assigned ToERIK 
PriorityurgentSeveritycrashReproducibilityrandom
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.647 
Summary0001999: Parent: Various causes of MFC error that causes the program to crash
DescriptionThere are MANY reports of people having MFC crashes with the 638 build. (This actually goes back much further. I've made comments about some examples.)

I'm creating this as a parent. Many customers could help us debug this.

This seems to happen primarily when a cluster connection is made and WSI values are being updated.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleGeneral
Testing

Relationships

parent of 0001935 closedWA9PIE Logbook crashes when attempting to update WSI after saving a QSO when Logbook has been running for a long time 

Activities

WA9PIE

2017-03-20 00:39

administrator   ~0003151

640 build; I picked up a MFC error after updating the Award status of several QSOs in the Awards tab

MFC-001.JPG (193,425 bytes)
MFC-001.JPG (193,425 bytes)

WA9PIE

2017-03-21 21:22

administrator   ~0003158

Using this configuration (in the image), I have been unable to cause an MFC error.

Capture.JPG (69,990 bytes)
Capture.JPG (69,990 bytes)

WA9PIE

2017-03-22 23:29

administrator   ~0003161

642 crash

642 crash 01.JPG (119,853 bytes)
642 crash 01.JPG (119,853 bytes)

Issue History

Date Modified Username Field Change
2017-03-13 13:56 WA9PIE New Issue
2017-03-13 13:56 WA9PIE Status new => assigned
2017-03-13 13:56 WA9PIE Assigned To => ERIK
2017-03-13 13:58 WA9PIE Relationship added parent of 0001935
2017-03-13 13:58 WA9PIE Relationship added parent of 0001790
2017-03-20 00:39 WA9PIE File Added: MFC-001.JPG
2017-03-20 00:39 WA9PIE Note Added: 0003151
2017-03-21 21:22 WA9PIE File Added: Capture.JPG
2017-03-21 21:22 WA9PIE Note Added: 0003158
2017-03-22 23:29 WA9PIE File Added: 642 crash 01.JPG
2017-03-22 23:29 WA9PIE Note Added: 0003161
2017-05-16 00:50 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-05-21 21:15 WA9PIE Relationship deleted parent of 0001790
2017-05-21 21:16 WA9PIE Status assigned => closed
2017-05-21 21:16 WA9PIE Resolution open => fixed
2017-05-21 21:46 WA9PIE Fixed in Version => 6.4.0.647